Package com.usatiuk.dhfs.rpc

# Class RemoteObjectServiceClient

java.lang.Object
com.usatiuk.dhfs.rpc.RemoteObjectServiceClient

@ApplicationScoped public class RemoteObjectServiceClient extends Object

## Constructor Summary

Constructors
Constructor
Description
`RemoteObjectServiceClient()`

## Method Summary

Modifier and Type
Method
Description
`Collection<org.apache.commons.lang3.tuple.Pair<PeerId,CanDeleteReply>>`
`canDelete(Collection<PeerId> targets, JObjectKey objKey)`
`void`
`getObject(JObjectKey key, Function<org.apache.commons.lang3.tuple.Pair<PeerId,ReceivedObject>,Boolean> onReceive)`
`org.apache.commons.lang3.tuple.Pair<PeerId,ReceivedObject>`
`getSpecificObject(JObjectKey key, PeerId peerId)`
`OpPushReply`
`pushOps(PeerId target, List<Op> ops)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RemoteObjectServiceClient

public RemoteObjectServiceClient()

## Method Details

### getSpecificObject

public org.apache.commons.lang3.tuple.Pair<PeerId,ReceivedObject> getSpecificObject(JObjectKey key, PeerId peerId)

### getObject

public void getObject(JObjectKey key, Function<org.apache.commons.lang3.tuple.Pair<PeerId,ReceivedObject>,Boolean> onReceive)

### pushOps

public OpPushReply pushOps(PeerId target, List<Op> ops)

### canDelete

public Collection<org.apache.commons.lang3.tuple.Pair<PeerId,CanDeleteReply>> canDelete(Collection<PeerId> targets, JObjectKey objKey)